<div class="album-box" *ngIf="album">
	<div id="album-head-card">
		
		<div class="image">
			<img [src]='album.imageURL' *ngIf="album.imageURL && album.imageURL != 'null'">
		</div>

		<div class="data">
			<h1>{{ album.title }}</h1>
			<p><strong>{{ album.artist.name }}</strong></p>
			<p>{{ album.year }}</p>
			<p>{{ album.description }}</p>

			<a [routerLink]="['/crear-tema',album._id]" class="btn btn-default" *ngIf="identity.role == 'ROLE_ADMIN'">
				Añadir canción
			</a>
		</div>
	</div>

	<div class="clearfix"></div>

	<div id="gallery-songs" *ngIf="songs">
		<ul id="songs-list">
			<li *ngFor="let song of songs" class="song-item">
				<div class="title row">
					<div class="col-xs-4 col-sm-1 col-md-2 col-lg-1">
						<a class="btn btn-success" (click)="startPlayer(song)" *ngIf="!playing">
							<span class="glyphicon glyphicon-play" aria-hidden="true"></span>
						</a>
						<a class="btn btn-success" (click)="stopPlayer(song)" *ngIf="playing">
							<span class="glyphicon glyphicon-pause" aria-hidden="true"></span>
						</a>
					</div>
					<div class="col-xs-6 col-sm-8 col-md-8 col-lg-9">
							<span>{{ song.number }}</span>{{ '. ' }}<span>{{ song.name }}</span><span class="hidden-xs"> - {{ song.duration }}</span>
						</div>
					<div class="buttons col-xs-4 col-sm-2 col-md-2 col-lg-2 text-right hidden-xs hidden-sm" *ngIf="identity && identity.role == 'ROLE_ADMIN'">
						<a [routerLink]="['/editar-tema',song._id]" class="btn btn-warning">
							Editar
						</a>
						<a (click)="onDeleteConfirm(song._id)" class="btn btn-danger">
							Borrar
						</a>
					</div>
					<div class="hidden-lg hidden-md col-sm-2 col-xs-2" *ngIf="identity && identity.role == 'ROLE_ADMIN'">
						<div class="dropdown">
							<button class="btn btn-default dropdown-toggle" type="button" id="dropdownMenu1" data-toggle="dropdown" aria-haspopup="true"
							aria-expanded="true">
								<span class="caret"></span>
							</button>
							<ul class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenu1">
								<li><a href="#"><span class="glyphicon glyphicon-edit"></span>&nbsp;Editar</a></li>
								<li><a href="#"><span class="glyphicon glyphicon-trash"></span>&nbsp;Borrar</a></li>
							</ul>
						</div>
					</div>
					
					<div class="seguro seguro-song" *ngIf="confirmado == song._id">
						<a (click)="onDeleteSong(song._id)" class="btn btn-danger">
							Eliminar
						</a>
						<a (click)="onCancelSong()" class="btn btn-primary">
							Cancelar
						</a>
					</div>

					<div class="clearfix"></div>
				
				</div>
			</li>
		</ul>
	</div>
</div>